Package: org.grails.buffer

## [Java] Class StreamCharBuffer.EncodedPart

- org.grails.buffer.StreamCharBuffer.EncodedPart

-     public static final class StreamCharBuffer.EncodedPart

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private EncodingState` | `encodingState` |
    `private java.lang.String` | `part` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EncodedPart (EncodingState encodingState, java.lang.String part)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public EncodingState` | `getEncodingState()`
    `` | `public java.lang.String` | `getPart()`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final EncodingState encodingState

    - #### private final java.lang.String part

  - ### Constructor Detail

    - #### public EncodedPart(EncodingState encodingState, java.lang.String part)

  - ### Method Detail

    - #### public EncodingState getEncodingState()

    - #### public java.lang.String getPart()

    - #### @java.lang.Override public java.lang.String toString()